2008/1/15 Ricardo Bánffy <[EMAIL PROTECTED]>:
> Acho que o Python está dizendo que você precisa do Visual Studio 7.1
> (isso seria o 2003 SP 1, acho, mas pode ser que aquela versão grátis que
> existia dele sirva) para compilar o módulo.

Realmente serve, mas a versao gratis nao pode mais ser encontrada online.

> Você pode fazê-lo em outra
> máquina que tenha o ambiente de desenvolvimento apropriado e levar os
> módulos compilados "na mão" para o lugar certo.

Na verdade, na verdade mesmo esses modulos ja foram compilados e estao
disponiveis aqui na forma de eggs:

http://pypi.python.org/pypi/zopyx.textindexng3/4.0.0

> Outra alternativa é usar o Python do Cygwin para todas as coisas
> Zope/Plone. Cygwin é um "verniz" Unix para Windows que o torna um
> ambiente de trabalho suportável (a despeito do meu respeito pelo Sidnei
> e pelo entusiasmo dele a respeito da plataforma, "suportável" é o mais
> longe que eu chego em minhas recomendações).

:P

> Com o Cygwin, os procedimentos de instalação ficam Unix-like e a vida
> volta a ser boa.

Apesar de tudo, o Cygwin nao eh o mais recomendado para compilar
extensoes em Python. O recomendado eh configurar o distutils para usar
o MingW, conforme descrito nesse tutorial:

http://plone.org/documentation/how-to/using-ploneout-on-windows

Se voce fizer essa configuracao, os passos sao os mesmos da
documentacao, basicamente o seu 'python setup.py install' vai compilar
os modulos usando o MingW e instalar no local certo ao invez de
reclamar que nao achou o compilador.

-- 
Sidnei da Silva
Enfold Systems                http://enfoldsystems.com
Fax +1 832 201 8856     Office +1 713 942 2377 Ext 214

Responder a